#
# Conditional build:
%bcond_with	bootstrap	# bootstrap build without PEAR installed (for first php-pear-PEAR installation)

%define		status		stable
%define		pearname	Structures_Graph
Summary:	%{pearname} - graph datastructure manipulation library
Summary(pl.UTF-8):	%{pearname} - biblioteka do obróbki struktur danych grafów
Name:		php-pear-%{pearname}
Version:	1.1.1
Release:	1%{?tld}
License:	LGPL v3+
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	ee63a3d24c94338af90334f3dd42c518
URL:		http://pear.php.net/package/Structures_Graph/
%if %{without bootstrap}
BuildRequires:	php-pear-PEAR
%endif
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.654
Requires:	php-pear >= 4:1.0-9.5
Requires:	php-pear-PEAR-core >= 1:1.2
Obsoletes:	php-pear-Structures_Graph-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Structures_Graph is a package for creating and manipulating graph
datastructures. It allows building of directed and undirected graphs,
with data and metadata stored in nodes. The library provides functions
for graph traversing as well as for characteristic extraction from the
graph topology.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Za pomocą Structures_Graph możliwe jest tworzenie i manipulacja
strukturami danych grafów. Pakiet pozwala tworzyć grafy skierowane i
nieskierowane z danymi i metadanymi zapisanymi w wierzchołkach.
Biblioteka dostarcza funkcje do przechodzenia grafów, a także
wyciągania charakterystyki z topologii grafu.

Ta klasa ma w PEAR status: %{status}.

%prep
%if %{without bootstrap}
%pear_package_setup

%{__mv} docs/%{pearname}/docs/* .
%else
%setup -q -c -n %{pearname}-%{version}
%{__mv} %{pearname}-%{version}/* .
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_examplesdir}/%{name}-%{version}}

%if %{without bootstrap}
%pear_package_install

cp -a tutorials/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%else
cp -pr Structures $RPM_BUILD_ROOT%{php_pear_dir}

cp -a docs/tutorials/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%if %{without bootstrap}
%doc install.log
%{php_pear_dir}/.registry/structures_graph.reg
%endif
%{php_pear_dir}/Structures/Graph.php
%{php_pear_dir}/Structures/Graph
%{_examplesdir}/%{name}-%{version}
%changelog
* Thu Apr 25 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/php-pear-Structures_Graph.git;a=log;h=master

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 0204244
- drop obsolete and outdated manual inclusion of rpm macros

* Wed May 23 2018 Jakub Bogusz <qboosh@pld-linux.org> 43bc1bb
- added bootstrap bcond
- LGPL version

* Wed Sep 30 2015 Elan Ruusamäe <glen@delfi.ee> 515a422
- up to 1.1.1

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> a36a3b8
- release 2

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 958888e
- dropped -tests subpackage

* Tue Nov 16 2010 Elan Ruusamäe <glen@pld-linux.org> 2f9a96d
- updated to: 1.0.4

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> b04cca6
- up to 1.0.3

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> c99dda6
- rel 3

* Thu Sep 13 2007 Jan Rękorajski <baggins@pld-linux.org> 903960a
- rel 2

* Wed Feb 28 2007 Elan Ruusamäe <glen@pld-linux.org> d97f4b4
- 1.0.2, added -tests

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> e83add5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 798f181
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 9a1a77c
- BR rpm-build macros >= 1.300 for %pear_ macros

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> 371194a
- rel 5 (rebuild with less deps)

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 42cf410
- BR php-pear-PEAR

* Thu Feb 16 2006 Elan Ruusamäe <glen@pld-linux.org> 7ab2a8a
- require php-pear-PEAR-core, not the full PEAR package with deps

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> a1b3c00
- Structures dir is in php-pear

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 8cc3b1d
- rel 3

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 2d27f81
- semi automatically added deps from pear

* Thu Sep 29 2005 Elan Ruusamäe <glen@pld-linux.org> 314059a
- new pear packaging

